diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
new file mode 100644
index 8dd6933..1ce1dd8
*** a/doc/src/sgml/func.sgml
--- b/doc/src/sgml/func.sgml
*************** SELECT (pg_stat_file('filename')).modifi
*** 15025,15031 ****
     <para>
      <function>pg_advisory_xact_lock</> works the same as
      <function>pg_advisory_lock</>, expect the lock is automatically released
!     at the end of the current transaction and can not be released explicitly.
     </para>
  
     <indexterm>
--- 15025,15031 ----
     <para>
      <function>pg_advisory_xact_lock</> works the same as
      <function>pg_advisory_lock</>, expect the lock is automatically released
!     at the end of the current transaction and cannot be released explicitly.
     </para>
  
     <indexterm>
*************** SELECT (pg_stat_file('filename')).modifi
*** 15034,15040 ****
     <para>
      <function>pg_advisory_xact_lock_shared</> works the same as
      <function>pg_advisory_lock_shared</>, expect the lock is automatically released
!     at the end of the current transaction and can not be released explicitly.
     </para>
  
     <indexterm>
--- 15034,15040 ----
     <para>
      <function>pg_advisory_xact_lock_shared</> works the same as
      <function>pg_advisory_lock_shared</>, expect the lock is automatically released
!     at the end of the current transaction and cannot be released explicitly.
     </para>
  
     <indexterm>
*************** SELECT (pg_stat_file('filename')).modifi
*** 15044,15050 ****
      <function>pg_try_advisory_xact_lock</> works the same as
      <function>pg_try_advisory_lock</>, expect the lock, if acquired,
      is automatically released at the end of the current transaction and
!     can not be released explicitly.
     </para>
  
     <indexterm>
--- 15044,15050 ----
      <function>pg_try_advisory_xact_lock</> works the same as
      <function>pg_try_advisory_lock</>, expect the lock, if acquired,
      is automatically released at the end of the current transaction and
!     cannot be released explicitly.
     </para>
  
     <indexterm>
*************** SELECT (pg_stat_file('filename')).modifi
*** 15054,15060 ****
      <function>pg_try_advisory_xact_lock_shared</> works the same as
      <function>pg_try_advisory_lock_shared</>, expect the lock, if acquired,
      is automatically released at the end of the current transaction and
!     can not be released explicitly.
     </para>
  
     <indexterm>
--- 15054,15060 ----
      <function>pg_try_advisory_xact_lock_shared</> works the same as
      <function>pg_try_advisory_lock_shared</>, expect the lock, if acquired,
      is automatically released at the end of the current transaction and
!     cannot be released explicitly.
     </para>
  
     <indexterm>
diff --git a/doc/src/sgml/mvcc.sgml b/doc/src/sgml/mvcc.sgml
new file mode 100644
index 1ec07dd..c6aaa5c
*** a/doc/src/sgml/mvcc.sgml
--- b/doc/src/sgml/mvcc.sgml
*************** UPDATE accounts SET balance = balance - 
*** 1234,1240 ****
       session already holds a given lock, additional requests will always succeed,
       even if other sessions are awaiting the lock.)  Transaction level locks on
       the other hand behave more like regular locks; they are automatically
!      released at the end of the transaction, and can not be explicitly unlocked.
       Session and transaction level locks share the same lock space, which means
       that a transaction level lock will prevent another session from obtaining
       a session level lock on that same resource and vice versa.
--- 1234,1240 ----
       session already holds a given lock, additional requests will always succeed,
       even if other sessions are awaiting the lock.)  Transaction level locks on
       the other hand behave more like regular locks; they are automatically
!      released at the end of the transaction, and cannot be explicitly unlocked.
       Session and transaction level locks share the same lock space, which means
       that a transaction level lock will prevent another session from obtaining
       a session level lock on that same resource and vice versa.
